TMPluginFormField (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.shared.plugins
Class TMPluginFormField

    java.lang.Object
      org.gcube.resourcemanagement.support.shared.plugins.TMPluginFormField

All Implemented Interfaces:
  Serializable

    public class TMPluginFormField

extends Object
implements Serializable

Version:
  1.0 Oct 2012
Author:
  Massimiliano Assante, ISTI-CNR
See Also:
  Serialized Form

Constructor Summary
`TMPluginFormField()`
`TMPluginFormField(String label, String defaultValue, boolean required, boolean repeatable)`

Method Summary
`String` | `getDefaultValue()`
`String` | `getLabel()`
`boolean` | `isRepeatable()`
`boolean` | `isRequired()`
`void` | `setDefaultValue(String defaultValue)`
`void` | `setLabel(String label)`
`void` | `setRepeatable(boolean repeatable)`
`void` | `setRequired(boolean required)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TMPluginFormField

    public TMPluginFormField()

### TMPluginFormField

    public TMPluginFormField(String label,
                             String defaultValue,
                             boolean required,
                             boolean repeatable)

Method Detail

### getLabel

    public String getLabel()

### setLabel

    public void setLabel(String label)

### getDefaultValue

    public String getDefaultValue()

### setDefaultValue

    public void setDefaultValue(String defaultValue)

### isRequired

    public boolean isRequired()

### setRequired

    public void setRequired(boolean required)

### isRepeatable

    public boolean isRepeatable()

### setRepeatable

    public void setRepeatable(boolean repeatable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.